<div class="container">
  <app-section-head
    sectionTitle="Remove Liquidity"
    [displayBackBtn]="true"
    (back)="back()"
  ></app-section-head>

  <div class="relative">
    <app-pool-type-options
      [asset]="asset"
      [selectedPoolType]="withdrawType"
      [poolTypeOptions]="withdrawOptions"
      (selectPoolType)="setSelectedWithdrawOption($event)"
    ></app-pool-type-options>

    <div class="uni-input">
      <span>Amount</span>

      <span class="unstake-percent">{{ withdrawPercent }}%</span>

      <mat-slider
        class="slider"
        [disabled]="!user"
        [max]="100"
        [min]="0"
        step="1"
        [tickInterval]="25"
        [(ngModel)]="withdrawPercent"
      >
      </mat-slider>
    </div>

    <div class="flex items-center justify-center">
      <button [disabled]="true">
        <mat-icon [class.disabled]="true" class="to-btn-icon text-sm"
          >arrow_downward</mat-icon
        >
      </button>
    </div>

    <div class="uni-input">
      <div *ngIf="asset" class="unstake-calc flex justify-between">
        <span *ngIf="removeAssetAmount">{{
          removeAssetAmount | number : "0.0-6"
        }}</span>
        <span *ngIf="!removeAssetAmount">0</span>
        <app-icon-ticker
          [iconPath]="asset.iconPath"
          [ticker]="asset.ticker"
        ></app-icon-ticker>
      </div>

      <div class="unstake-calc flex justify-between">
        <span *ngIf="removeRuneAmount">{{
          removeRuneAmount | number : "0.0-6"
        }}</span>
        <span *ngIf="!removeRuneAmount">0</span>
        <app-icon-ticker
          [iconPath]="cacao.iconPath"
          [ticker]="cacao.ticker"
        ></app-icon-ticker>
      </div>
    </div>

    <div *ngIf="asset" class="prices py-2 px-4 text-sm">
      <div
        *ngIf="withdrawType !== 'ASYM_ASSET'"
        class="flex justify-between pb-2 items-center"
      >
        <span class="tx-detail-label">Fees</span>
        <span *ngIf="cacaoFee">{{ cacaoFee }} CACAO</span>
        <span *ngIf="!cacaoFee">-</span>
      </div>

      <div
        *ngIf="withdrawType === 'ASYM_ASSET'"
        class="flex justify-between pb-2 items-center"
      >
        <span class="tx-detail-label">Fees</span>
        <span *ngIf="networkFee"
          >{{ networkFee | number : "1.0-4" }} {{ asset.ticker }}</span
        >
        <span *ngIf="!networkFee">-</span>
      </div>
    </div>

    <button
      (click)="openConfirmationDialog()"
      class="main-action-btn w-full"
      mat-flat-button
      color="primary"
      [disabled]="formDisabled()"
    >
      {{ mainButtonText() }}
    </button>
  </div>
</div>
